------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]击杀黑风豹王
--Creator:		林静
--Created:		2019/07/29
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>9


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(66, 66)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
local hero = CppScriptMgr:QueryHero()
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)
hero:SetLook(hero:GetLook(), false, true) 
hero:SetPos(65, 67)
hero:SetDir(5)
CppScriptMgr:WaitMilSec(1000)


local player  = CppScriptMgr:AddPlayer(468, 67, 65, "GeneralLeopard", 4003000011,1)

player:SetDir(1)

CppScriptMgr:WaitMilSec(1000)
hero:SetAction(402)
player:SetAction(310)
CppScriptMgr:WaitMilSec(1000)
player:SetAction(401)
hero:AddEffect("yfydz_new")
hero:SetAction(310)
CppScriptMgr:WaitMilSec(1000)
hero:SetAction(402)
player:SetAction(310)
CppScriptMgr:WaitMilSec(1000)
player:SetAction(370)
player:SetHide(1)


-- 设置玩家动作：player:SetAction(动作id)
hero:AddEffect("trojan_wolf")
CppScriptMgr:WaitMilSec(4000)


